Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# resource.h File Reference

Go to the source code of this file.

## Defines
#define | IDR_MANIFEST 1
#define | IDM_ABOUTBOX 0x0010
#define | IDD_ABOUTBOX 100
#define | IDS_ABOUTBOX 101
#define | IDD_SDKPARTICULES_DIALOG 102
#define | IDC_OPENGLRENDER 103
#define | IDR_MAINFRAME 128
#define | IDC_CHECKGRILLE 1000
#define | IDC_SPINEMITRATE 1007
#define | IDC_EDITEMITRATE 1008
#define | IDC_SPINPARTMAXLIFE 1011
#define | IDC_EDITPARTMAXLIFE 1012
#define | IDC_COMBOEMITTYPE 1013
#define | IDC_BUTEMITRESET 1014
#define | IDC_SPINEMITANGULAR 1015
#define | IDC_EDITEMITANGULAR 1016
#define | IDC_SPINEMITRANGE 1017
#define | IDC_EDITEMITRANGE 1018
#define | IDC_SPINEMITMAXPART 1019
#define | IDC_EDITEMITMAXPART 1020
#define | IDC_SPINPARTMINLIFE 1033
#define | IDC_EDITPARTMINLIFE 1034
#define | IDC_SPINPARTMAXWEIGHT 1035
#define | IDC_EDITPARTMAXWEIGHT 1036
#define | IDC_SPINPARTMINWEIGHT 1037
#define | IDC_EDITPARTMINWEIGHT 1038
#define | IDC_SPINPARTMAXSIZE 1039
#define | IDC_EDITPARTMAXSIZE 1040
#define | IDC_SPINPARTMINSIZE 1041
#define | IDC_EDITPARTMINSIZE 1042
#define | IDC_BUTTONTEXTCHANGE 1043
#define | IDC_BUTTONSAVE 1044
#define | IDC_BUTTONLOAD 1045
#define | IDC_CHECKROTX 1046
#define | IDC_CHECKROTY 1047
#define | IDC_CHECKEMITTER 1049
#define | IDC_TEXTURE 1050
#define | IDC_COMBO1 1051
#define | IDC_SPINPARTMAXVELOCITYX 1055
#define | IDC_EDITPARTMAXVELOCITYX 1056
#define | IDC_SPINPARTMAXVELOCITYY 1057
#define | IDC_EDITPARTMAXVELOCITYY 1058
#define | IDC_SPINPARTMAXVELOCITYZ 1059
#define | IDC_EDITPARTMAXVELOCITYZ 1060
#define | IDC_SPINPARTMINVELOCITYX 1061
#define | IDC_EDITPARTMINVELOCITYX 1062
#define | IDC_SPINPARTMINVELOCITYY 1063
#define | IDC_EDITPARTMINVELOCITYY 1064
#define | IDC_SPINPARTMINVELOCITYZ 1065
#define | IDC_EDITPARTMINVELOCITYZ 1066
#define | IDC_SPINPARTMAXACCELX 1067
#define | IDC_EDITPARTMAXACCELX 1068
#define | IDC_SPINPARTMAXACCELY 1069
#define | IDC_EDITPARTMAXACCELY 1070
#define | IDC_SPINPARTMAXACCELZ 1071
#define | IDC_EDITPARTMAXACCELZ 1072
#define | IDC_SPINPARTMINACCELX 1073
#define | IDC_EDITPARTMINACCELX 1074
#define | IDC_SPINPARTMINACCELY 1075
#define | IDC_EDITPARTMINACCELY 1076
#define | IDC_SPINPARTMINACCELZ 1077
#define | IDC_EDITPARTMINACCELZ 1078
#define | IDC_SPINPARTMAXGRAVITYX 1079
#define | IDC_EDITPARTMAXGRAVITYX 1080
#define | IDC_SPINPARTMAXGRAVITYY 1081
#define | IDC_EDITPARTMAXGRAVITYY 1082
#define | IDC_SPINPARTMAXGRAVITYZ 1083
#define | IDC_EDITPARTMAXGRAVITYZ 1084
#define | IDC_SPINPARTMINGRAVITYX 1085
#define | IDC_EDITPARTMINGRAVITYX 1086
#define | IDC_SPINPARTMINGRAVITYY 1087
#define | IDC_EDITPARTMINGRAVITYY 1088
#define | IDC_SPINPARTMINGRAVITYZ 1089
#define | IDC_EDITPARTMINGRAVITYZ 1090
#define | IDC_SPINEMITMAXPOSX 1091
#define | IDC_EDITEMITMAXPOSX 1092
#define | IDC_SPINEMITMAXPOSY 1093
#define | IDC_EDITEMITMAXPOSY 1094
#define | IDC_SPINEMITMAXPOSZ 1095
#define | IDC_EDITEMITMAXPOSZ 1096
#define | IDC_EDITEMITMINPOSX 1097
#define | IDC_EDITEMITMINPOSY 1098
#define | IDC_EDITEMITMINPOSZ 1099
#define | IDC_SPINEMITMINPOSX 1100
#define | IDC_SPINEMITMINPOSY 1101
#define | IDC_SPINEMITMINPOSZ 1102
#define | IDC_SPINPARTMAXRED 1103
#define | IDC_EDITPARTRED 1104
#define | IDC_SPINPARTMAXGREEN 1105
#define | IDC_EDITPARTMAXGREEN 1106
#define | IDC_SPINPARTMAXGRAVITYZ2 1107
#define | IDC_EDITPARTMAXBLUE 1108
#define | IDC_SPINPARTMINGRAVITYX2 1109
#define | IDC_SPINPARTMINRED 1109
#define | IDC_EDITPARTMINRED 1110
#define | IDC_SPINPARTMINGREEN 1111
#define | IDC_EDITPARTMINGREEN 1112
#define | IDC_SPINPARTMINGRAVITYZ2 1113
#define | IDC_EDITPARTMINBLUE 1114
#define | IDC_SPINPARTMAXTRANS 1115
#define | IDC_EDITPARTMAXTRANS 1116
#define | IDC_SPINPARTMINTRANS 1117
#define | IDC_EDITPARTMINTRANS 1118

## Define Documentation

#define IDC_BUTEMITRESET 1014

| Definition at line 18 of file SDKParticules/resource.h.

#define IDC_BUTTONLOAD 1045

| Definition at line 37 of file SDKParticules/resource.h.

#define IDC_BUTTONSAVE 1044

| Definition at line 36 of file SDKParticules/resource.h.

#define IDC_BUTTONTEXTCHANGE 1043

| Definition at line 35 of file SDKParticules/resource.h.

#define IDC_CHECKEMITTER 1049

| Definition at line 40 of file SDKParticules/resource.h.

#define IDC_CHECKGRILLE 1000

| Definition at line 12 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_CHECKROTX 1046

| Definition at line 38 of file SDKParticules/resource.h.

#define IDC_CHECKROTY 1047

| Definition at line 39 of file SDKParticules/resource.h.

#define IDC_COMBO1 1051

| Definition at line 42 of file SDKParticules/resource.h.

#define IDC_COMBOEMITTYPE 1013

| Definition at line 17 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_EDITEMITANGULAR 1016

| Definition at line 20 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_EDITEMITMAXPART 1020

| Definition at line 24 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_EDITEMITMAXPOSX 1092

| Definition at line 80 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_EDITEMITMAXPOSY 1094

| Definition at line 82 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_EDITEMITMAXPOSZ 1096

| Definition at line 84 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_EDITEMITMINPOSX 1097

| Definition at line 85 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_EDITEMITMINPOSY 1098

| Definition at line 86 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_EDITEMITMINPOSZ 1099

| Definition at line 87 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_EDITEMITRANGE 1018

| Definition at line 22 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_EDITEMITRATE 1008

| Definition at line 14 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_EDITPARTMAXACCELX 1068

| Definition at line 56 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_EDITPARTMAXACCELY 1070

| Definition at line 58 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_EDITPARTMAXACCELZ 1072

| Definition at line 60 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_EDITPARTMAXBLUE 1108

| Definition at line 96 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_EDITPARTMAXGRAVITYX 1080

| Definition at line 68 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_EDITPARTMAXGRAVITYY 1082

| Definition at line 70 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_EDITPARTMAXGRAVITYZ 1084

| Definition at line 72 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_EDITPARTMAXGREEN 1106

| Definition at line 94 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_EDITPARTMAXLIFE 1012

| Definition at line 16 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_EDITPARTMAXSIZE 1040

| Definition at line 32 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_EDITPARTMAXTRANS 1116

| Definition at line 105 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_EDITPARTMAXVELOCITYX 1056

| Definition at line 44 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_EDITPARTMAXVELOCITYY 1058

| Definition at line 46 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_EDITPARTMAXVELOCITYZ 1060

| Definition at line 48 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_EDITPARTMAXWEIGHT 1036

| Definition at line 28 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_EDITPARTMINACCELX 1074

| Definition at line 62 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_EDITPARTMINACCELY 1076

| Definition at line 64 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_EDITPARTMINACCELZ 1078

| Definition at line 66 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_EDITPARTMINBLUE 1114

| Definition at line 103 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_EDITPARTMINGRAVITYX 1086

| Definition at line 74 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_EDITPARTMINGRAVITYY 1088

| Definition at line 76 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_EDITPARTMINGRAVITYZ 1090

| Definition at line 78 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_EDITPARTMINGREEN 1112

| Definition at line 101 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_EDITPARTMINLIFE 1034

| Definition at line 26 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_EDITPARTMINRED 1110

| Definition at line 99 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_EDITPARTMINSIZE 1042

| Definition at line 34 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_EDITPARTMINTRANS 1118

| Definition at line 107 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_EDITPARTMINVELOCITYX 1062

| Definition at line 50 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_EDITPARTMINVELOCITYY 1064

| Definition at line 52 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_EDITPARTMINVELOCITYZ 1066

| Definition at line 54 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_EDITPARTMINWEIGHT 1038

| Definition at line 30 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_EDITPARTRED 1104

| Definition at line 92 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_OPENGLRENDER 103

| Definition at line 10 of file SDKParticules/resource.h.

#define IDC_SPINEMITANGULAR 1015

| Definition at line 19 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_SPINEMITMAXPART 1019

| Definition at line 23 of file SDKParticules/resource.h.

#define IDC_SPINEMITMAXPOSX 1091

| Definition at line 79 of file SDKParticules/resource.h.

#define IDC_SPINEMITMAXPOSY 1093

| Definition at line 81 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_SPINEMITMAXPOSZ 1095

| Definition at line 83 of file SDKParticules/resource.h.

#define IDC_SPINEMITMINPOSX 1100

| Definition at line 88 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_SPINEMITMINPOSY 1101

| Definition at line 89 of file SDKParticules/resource.h.

#define IDC_SPINEMITMINPOSZ 1102

| Definition at line 90 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_SPINEMITRANGE 1017

| Definition at line 21 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_SPINEMITRATE 1007

| Definition at line 13 of file SDKParticules/resource.h.

#define IDC_SPINPARTMAXACCELX 1067

| Definition at line 55 of file SDKParticules/resource.h.

#define IDC_SPINPARTMAXACCELY 1069

| Definition at line 57 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_SPINPARTMAXACCELZ 1071

| Definition at line 59 of file SDKParticules/resource.h.

#define IDC_SPINPARTMAXGRAVITYX 1079

| Definition at line 67 of file SDKParticules/resource.h.

#define IDC_SPINPARTMAXGRAVITYY 1081

| Definition at line 69 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_SPINPARTMAXGRAVITYZ 1083

| Definition at line 71 of file SDKParticules/resource.h.

#define IDC_SPINPARTMAXGRAVITYZ2 1107

| Definition at line 95 of file SDKParticules/resource.h.

#define IDC_SPINPARTMAXGREEN 1105

| Definition at line 93 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_SPINPARTMAXLIFE 1011

| Definition at line 15 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_SPINPARTMAXRED 1103

| Definition at line 91 of file SDKParticules/resource.h.

#define IDC_SPINPARTMAXSIZE 1039

| Definition at line 31 of file SDKParticules/resource.h.

#define IDC_SPINPARTMAXTRANS 1115

| Definition at line 104 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_SPINPARTMAXVELOCITYX 1055

| Definition at line 43 of file SDKParticules/resource.h.

#define IDC_SPINPARTMAXVELOCITYY 1057

| Definition at line 45 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_SPINPARTMAXVELOCITYZ 1059

| Definition at line 47 of file SDKParticules/resource.h.

#define IDC_SPINPARTMAXWEIGHT 1035

| Definition at line 27 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_SPINPARTMINACCELX 1073

| Definition at line 61 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_SPINPARTMINACCELY 1075

| Definition at line 63 of file SDKParticules/resource.h.

#define IDC_SPINPARTMINACCELZ 1077

| Definition at line 65 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_SPINPARTMINGRAVITYX 1085

| Definition at line 73 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_SPINPARTMINGRAVITYX2 1109

| Definition at line 97 of file SDKParticules/resource.h.

#define IDC_SPINPARTMINGRAVITYY 1087

| Definition at line 75 of file SDKParticules/resource.h.

#define IDC_SPINPARTMINGRAVITYZ 1089

| Definition at line 77 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_SPINPARTMINGRAVITYZ2 1113

| Definition at line 102 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_SPINPARTMINGREEN 1111

| Definition at line 100 of file SDKParticules/resource.h.

#define IDC_SPINPARTMINLIFE 1033

| Definition at line 25 of file SDKParticules/resource.h.

#define IDC_SPINPARTMINRED 1109

| Definition at line 98 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_SPINPARTMINSIZE 1041

| Definition at line 33 of file SDKParticules/resource.h.

#define IDC_SPINPARTMINTRANS 1117

| Definition at line 106 of file SDKParticules/resource.h.

#define IDC_SPINPARTMINVELOCITYX 1061

| Definition at line 49 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_SPINPARTMINVELOCITYY 1063

| Definition at line 51 of file SDKParticules/resource.h.

#define IDC_SPINPARTMINVELOCITYZ 1065

| Definition at line 53 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_SPINPARTMINWEIGHT 1037

| Definition at line 29 of file SDKParticules/resource.h. Referenced by CSDKParticulesDlg::DoDataExchange().

#define IDC_TEXTURE 1050

| Definition at line 41 of file SDKParticules/resource.h.

#define IDD_ABOUTBOX 100

| Definition at line 7 of file SDKParticules/resource.h.

#define IDD_SDKPARTICULES_DIALOG 102

| Definition at line 9 of file SDKParticules/resource.h.

#define IDM_ABOUTBOX 0x0010

| Definition at line 6 of file SDKParticules/resource.h.

#define IDR_MAINFRAME 128

| Definition at line 11 of file SDKParticules/resource.h.

#define IDR_MANIFEST 1

| Definition at line 5 of file SDKParticules/resource.h.

#define IDS_ABOUTBOX 101

| Definition at line 8 of file SDKParticules/resource.h.